Package org.springframework.web.servlet.resource

# Class DefaultServletHttpRequestHandler

java.lang.Object
org.springframework.web.servlet.resource.DefaultServletHttpRequestHandler

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.web.context.ServletContextAware`, `org.springframework.web.HttpRequestHandler`

public class DefaultServletHttpRequestHandler extends Object implements org.springframework.web.HttpRequestHandler, org.springframework.web.context.ServletContextAware
An `HttpRequestHandler` for serving static files using the Servlet container's "default" Servlet.

This handler is intended to be used with a "/*" mapping when the `DispatcherServlet` is mapped to "/", thus overriding the Servlet container's default handling of static resources. The mapping to this handler should generally be ordered as the last in the chain so that it will only execute when no other more specific mappings (i.e., to controllers) can be matched.

Requests are handled by forwarding through the `RequestDispatcher` obtained via the name specified through the `"defaultServletName" property`. In most cases, the `defaultServletName` does not need to be set explicitly, as the handler checks at initialization time for the presence of the default Servlet of well-known containers such as Tomcat, Jetty, WebLogic and WebSphere. However, when running in a container where the default Servlet's name is not known, or where it has been customized via server configuration, the `defaultServletName` will need to be set explicitly.

Since:
  3.0.4
Author:
  Jeremy Grelle, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`DefaultServletHttpRequestHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleRequest(HttpServletRequest request, HttpServletResponse response)`
`void`
`setDefaultServletName(String defaultServletName)`
Set the name of the default Servlet to be forwarded to for static resource requests.
`void`
`setServletContext(ServletContext servletContext)`
If the `defaultServletName` property has not been explicitly set, attempts to locate the default Servlet using the known common container-specific names.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultServletHttpRequestHandler

public DefaultServletHttpRequestHandler()

## Method Details

### setDefaultServletName

public void setDefaultServletName(String defaultServletName)
Set the name of the default Servlet to be forwarded to for static resource requests.

### setServletContext

public void setServletContext(ServletContext servletContext)
If the `defaultServletName` property has not been explicitly set, attempts to locate the default Servlet using the known common container-specific names.

Specified by:
  `setServletContext` in interface `org.springframework.web.context.ServletContextAware`

### handleRequest

public void handleRequest(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException

Specified by:
  `handleRequest` in interface `org.springframework.web.HttpRequestHandler`
Throws:
  `ServletException`
  `IOException`